Debian Bug report logs - #697530
ITP: jshon -- parses, reads and creates JSON

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ilf <ilf@zeromail.org>

Date: Sun, 6 Jan 2013 15:57:01 UTC

Owned by: jmetzmeier01@gmail.com

Severity: wishlist

Found in version 20121122

Fixed in versions jshon/20131010-3, jshon/20131010-1

Done: Jordan Metzmeier <jmetzmeier01@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697530; Package wnpp. (Sun, 06 Jan 2013 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ilf <ilf@zeromail.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ilf <ilf@zeromail.org>
To: submit@bugs.debian.org
Subject: RFP: jshon -- parses, reads and creates JSON
Date: Sun, 6 Jan 2013 16:52:14 +0100
Package: wnpp
Severity: wishlist
Version: 20121122

Package name: wnpp
Upstream Author: Kyle Keen <keenerd@gmail.com>
URL: http://kmkeen.com/jshon/
License: MIT
Description: Jshon parses, reads and creates JSON. It is designed to be 
as usable as possible from within the shell and replaces fragile adhoc 
parsers made from grep/sed/awk as well as heavyweight one-line parsers 
made from perl/python.

-- 
ilf

Über 80 Millionen Deutsche benutzen keine Konsole. Klick dich nicht weg!
		-- Eine Initiative des Bundesamtes für Tastaturbenutzung



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697530; Package wnpp. (Sun, 06 Jan 2013 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to ilf <ilf@zeromail.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 16:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 697530@bugs.debian.org (full text, mbox):

From: ilf <ilf@zeromail.org>
To: 697530@bugs.debian.org
Subject: Re: Bug#697530: Acknowledgement (RFP: jshon -- parses, reads and creates JSON)
Date: Sun, 6 Jan 2013 17:11:40 +0100
reassign 697530 jshon

-- 
ilf

Über 80 Millionen Deutsche benutzen keine Konsole. Klick dich nicht weg!
		-- Eine Initiative des Bundesamtes für Tastaturbenutzung



Changed Bug title to 'ITP: jshon -- parses, reads and creates JSON' from 'RFP: jshon -- parses, reads and creates JSON' Request was from Jordan Metzmeier <jmetzmeier01@gmail.com> to control@bugs.debian.org. (Mon, 28 Oct 2013 21:42:04 GMT) Full text and rfc822 format available.

Owner recorded as jmetzmeier01@gmail.com. Request was from Jordan Metzmeier <jmetzmeier01@gmail.com> to control@bugs.debian.org. (Mon, 28 Oct 2013 21:42:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 697530: 728166 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 29 Oct 2013 04:30:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 13 Nov 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Jordan Metzmeier <jmetzmeier01@gmail.com>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:09 GMT) Full text and rfc822 format available.

Notification sent to ilf <ilf@zeromail.org>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:09 GMT) Full text and rfc822 format available.

Message #23 received at 697530-close@bugs.debian.org (full text, mbox):

From: Jordan Metzmeier <jmetzmeier01@gmail.com>
To: 697530-close@bugs.debian.org
Subject: Bug#697530: fixed in jshon 20131010-3
Date: Sat, 30 Nov 2013 00:00:12 +0000
Source: jshon
Source-Version: 20131010-3

We believe that the bug you reported is fixed in the latest version of
jshon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordan Metzmeier <jmetzmeier01@gmail.com> (supplier of updated jshon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Nov 2013 21:54:43 -0600
Source: jshon
Binary: jshon
Architecture: source amd64
Version: 20131010-3
Distribution: sid
Urgency: low
Maintainer: Jordan Metzmeier <jmetzmeier01@gmail.com>
Changed-By: Jordan Metzmeier <jmetzmeier01@gmail.com>
Description: 
 jshon      - Command line tool to parse, read and create JSON
Closes: 697530
Changes: 
 jshon (20131010-3) unstable; urgency=low
 .
   * More improvements package description
   * Add JSON creation example to the manpage
   * Fix segfault when -F is given a file that does not exist
 .
 jshon (20131010-2) unstable; urgency=low
 .
   * License debian/* files to Expat to match upstream
   * Better descriptions for the binary package and patches
   * Remove boilerplate comments from debian/rules
 .
 jshon (20131010-1) unstable; urgency=low
 .
   * Initial release (Closes: #697530)
Checksums-Sha1: 
 7e8354f2f8135311c96911048d129722eea9abe3 1074 jshon_20131010-3.dsc
 bedf2ef92c2299243e1dfdca298a7ab42492f688 5814 jshon_20131010-3.debian.tar.gz
 40073e5c65fa757f941d6162f2931ce85c98d4a6 13706 jshon_20131010-3_amd64.deb
Checksums-Sha256: 
 6bbce0d0c86aff40fe681e4dd8ad9180748a65b38b717914dc4a8c86ba17730c 1074 jshon_20131010-3.dsc
 22c27a0d27085cc64db936926877dfa3612722557d4764d9fe2757fc992e2ceb 5814 jshon_20131010-3.debian.tar.gz
 4b0ee807ddb0e4e3980b793dc414dfd0c798eca4c8434a0dff6363f35452e95a 13706 jshon_20131010-3_amd64.deb
Files: 
 1596a86c5e6fb197ed6a14c7c6df9e4c 1074 utils optional jshon_20131010-3.dsc
 f21d7a97513cb8a013a7782b4fa9115d 5814 utils optional jshon_20131010-3.debian.tar.gz
 f3608b8cf89945c5dce5dc706bb5fc5c 13706 utils optional jshon_20131010-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlKMrkoACgkQn+i4zXHF0ahT6wCgw43KzeHho+MhbImvfIaqH0qV
MZYAn1+y3L/qjiRPsleTC60hZ4XSs+0q
=ZB8T
-----END PGP SIGNATURE-----




Reply sent to Jordan Metzmeier <jmetzmeier01@gmail.com>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:11 GMT) Full text and rfc822 format available.

Notification sent to ilf <ilf@zeromail.org>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:11 GMT) Full text and rfc822 format available.

Message #28 received at 697530-close@bugs.debian.org (full text, mbox):

From: Jordan Metzmeier <jmetzmeier01@gmail.com>
To: 697530-close@bugs.debian.org
Subject: Bug#697530: fixed in jshon 20131010-1
Date: Sat, 30 Nov 2013 00:00:11 +0000
Source: jshon
Source-Version: 20131010-1

We believe that the bug you reported is fixed in the latest version of
jshon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697530@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordan Metzmeier <jmetzmeier01@gmail.com> (supplier of updated jshon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Oct 2013 15:04:23 -0500
Source: jshon
Binary: jshon
Architecture: source amd64
Version: 20131010-1
Distribution: unstable
Urgency: low
Maintainer: Jordan Metzmeier <jmetzmeier01@gmail.com>
Changed-By: Jordan Metzmeier <jmetzmeier01@gmail.com>
Description: 
 jshon      - Parses, reads and creates JSON
Closes: 697530
Changes: 
 jshon (20131010-1) unstable; urgency=low
 .
   * Initial release (Closes: #697530)
Checksums-Sha1: 
 9290c7445ef1e4d12f3d3dbb1f87d82f18cd571d 1709 jshon_20131010-1.dsc
 1fa88a562413ab63bdda041a2aeb25c8f8cac1d1 12572 jshon_20131010.orig.tar.gz
 59600154b626ae24b30aa888b9fa4dbc40ce23e6 5113 jshon_20131010-1.debian.tar.gz
 6bf69140593be75cdd19aa27e3104a371fea72c6 13274 jshon_20131010-1_amd64.deb
Checksums-Sha256: 
 d3154b2229bc02ec90e6b4c7cc1e352d053498f4fe3f7f445673be95b53faa2c 1709 jshon_20131010-1.dsc
 c4a13afbc556c10db7834925881d01f2353786cb379c2dd4bf0b7fffaaab9d21 12572 jshon_20131010.orig.tar.gz
 984f58d194103e619d1e55604b51bbc0b3a5ad97f2ddd8760fb529138731e358 5113 jshon_20131010-1.debian.tar.gz
 dae7a6ce93a1eb9ace8a63d9d18fa2ebdf80d991200f2174b001c6c8a720ff5e 13274 jshon_20131010-1_amd64.deb
Files: 
 0e02ddfead193cd2370462643a9dea7b 1709 utils extra jshon_20131010-1.dsc
 f939755699cd152379f97a8a9e2fe7c4 12572 utils extra jshon_20131010.orig.tar.gz
 5530dbf83a65c59b344fe7ad6f77cbd7 5113 utils extra jshon_20131010-1.debian.tar.gz
 face995ad3bf525f372299871bedb972 13274 utils extra jshon_20131010-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJSgzJmAAoJEAFx4YKK4JNFNjEQAKOG54hp2vlYXJt6SsK8NPNy
U1oNwY/OfuD4zLVh2qVxdZaixWTgPxWioz5Somke9ckF+tRqx325AhFus77jM5kS
ONcTAIfTbpqCx/JRO90VweOOi2zwWwcxMEhVX3RZxpAkmHBkHurEJLROk4f6i7SU
Q5scByhO9nBTB5GIkHveHBeZW+eF09fLwTok/PsIQ/uH4gw5aVYwnvxG7e8w7cWh
hsBbH8J1jSVHMfF+hLL3qE1Rp2Z+KrEX+WSLzQKfURYashEFD+ZsS9eOqydB3Owl
T/CjcVMrEME5k4/xb4FBqHzlDkn3P1mbVoZySE0PqIVG5AmZYbTE/7bn1PHgmAB1
uvKN6KaJeu1EhIn373YKZWPiTy//IRwe5E6BSKxXLg9EK1CG1nDDCp1y871kO3zc
duEisG7IdGtdKCcxc4v/E7iAoaOZzOe8JCGKtIGAdWoFctCimilwjOJ4JTLg8liC
THMN3e5L2oO1q+9GsbsFXCaqg4IDyTVNXungNn4OBTa31cDj6y++CZcjP0PVo0JT
TkrY+05Xn2CB7HtoEP4Mh3wCvvjtQDFP/mCqiFs7jS70IQTMIn2MFSa6DMZVZ3Fd
i6PnzeYgUSjbxOjXPSJ89K98fnIwqn0Fhdo+mkxcP9j5cwN4lS3e5yoGl5JO02RI
AMju0SYh/ffEY6tKwATP
=MmBg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:30:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:18:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.